## org.hibernate.hql.ast.exec
Interface StatementExecutor

All Known Implementing Classes:
  AbstractStatementExecutor, BasicExecutor, MultiTableDeleteExecutor, MultiTableUpdateExecutor

    public interface StatementExecutor

Encapsulates the strategy required to execute various types of update, delete, and insert statements issued through HQL.

Author:
  Steve Ebersole

Method Summary
`int` `execute(QueryParameters parameters, SessionImplementor session)` Execute the sql managed by this executor using the given parameters.
`String[]` `getSqlStatements()`

Method Detail

### getSqlStatements

    String[] getSqlStatements()

### execute

    int execute(QueryParameters parameters,
                SessionImplementor session)
                throws HibernateException

  Execute the sql managed by this executor using the given parameters.

  Parameters:
    `parameters` - Essentially bind information for this processing.
    `session` - The session originating the request.
  Returns:
    The number of entities updated/deleted.
  Throws:
    `HibernateException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.